<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$ordine='`dimensiune`,`id`';
$x1='';
$x2='';
$x3='';
$x4='';
$x5='';
$categorii=[1=>[' fișiere descărcări','/categorie/1-fisiere-descarcari','`descarcari_fisiere`','fisier'],];
if($cid>0&&in_array($cid,array_keys($categorii)))
{
$x1.=$categorii[$cid][0];
$x2.=$categorii[$cid][1];
$x3.=$categorii[$cid][2];
}
if($_SERVER['REQUEST_URI']!='/admin-seteaza-dimensiune-durata-rata'.$x2)
$back[1]='<a href="/admin-seteaza-dimensiune-durata-rata'.$x2.'">'.img('administrare.png',1).'Setează dimensiune/durată/rată'.$x1.'</a>';
$variante=[1=>[', fișiere noi ne verificate','/v/1-fisiere-noi-ne-verificate','`validd`="0"'],2=>[', fișiere setate','/v/2-fisiere-setate','`validd`="1"'],3=>[', oricare fișiere, exceptând cele setate','/v/3-oricare-fisiere-exceptand-cele-setate','`validd`!="1"'],4=>[', fișiere care nu s-au putut copia','/v/4-fisiere-care-nu-s-au-putut-copia','`validd`="2"'],5=>[', fișiere întrerupte din execuție','/v/5-fisiere-intrerupte-din-executie','`validd`="3"'],6=>[', fișiere cu valori ne actualizate în baza de date','/v/6-fisiere-cu-valori-ne-actualizate-in-baza-de-date','`validd`="4"'],7=>[', fișiere omise manual din acest meniu','/v/7-fisiere-omise-manual-din-acest-meniu','`validd`="5"'],8=>[', fișiere editate din alte meniuri','/v/8-fisiere-editate-din-alte-meniuri','`validd`="6"']];
if($fid>0&&in_array($fid,array_keys($variante)))
{
$x1.=$variante[$fid][0];
$x2.=$variante[$fid][1];
$x4.=$variante[$fid][2];
}
if(isset($_GET['pid'])&&!isset($_GET['text']))
{
$x1.=', în funcție de ID-ul &#34;'.$_GET['pid'].'&#34;';
$x4.='&&`id`="'.$_GET['pid'].'"';
$x5.='?pid='.$_GET['pid'];
}
if(isset($_GET['text'])&&!isset($_GET['pid']))
{
$x1.=', în funcție de textul &#34;'.$_GET['text'].'&#34;';
$x4.='&&`link`LIKE"%'.$_GET['text'].'%"';
$x5.='?text='.$_GET['text'];
}
$titlu='Setează dimensiune/durată/rată'.$x1;
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
if($fid>0&&!in_array($fid,array_keys($variante)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o variantă definită în script!'.$div[0];
require'f_jos.php';
}
if($go=='prelucreaza-fisierele-ne-prelucrate')
{
$item=$conn->query('SELECT`id`,`nume`,`link`,`dimensiune`,`durata`,`rata`FROM'.$x3.'WHERE`vizibil`>"0"&&`link`!=""&&'.$variante[1][2].$x4.'ORDER BY'.$ordine.'LIMIT 1')->fetch_row();
if($item[0]<1)
{
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Task finalizat!'.$div[0];
require'f_jos.php';
}
$conn->query('UPDATE'.$x3.'SET'.$variante[5][2].'WHERE`id`="'.$item[0].'"');
$headere=get_headers($item[2]);
$link_direct='';
echo$div[10].'ID: <strong>'.$item[0].'</strong><br />Nume: <strong>'.htmlspecialchars($item[1]).'</strong><br />Link: <strong>'.$item[2].'</strong><br />Headere HTTP: <strong><pre>'.print_r($headere,1).'</pre></strong>'.$div[0];
$destinatie='log/'.$categorii[$cid][3].'_'.$item[0];
if(!file_exists($destinatie)?@copy($item[2],$destinatie):true)
{
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Fișier copiat!'.$div[0];
require'getid3/getid3.php';
$getID3=new getID3;
$ThisFileInfo=$getID3->analyze($destinatie);
getid3_lib::CopyTagsToComments($ThisFileInfo);
$dimensiune=$ThisFileInfo['filesize'];
$durata=(int)$ThisFileInfo['playtime_seconds'];
$rata=(int)($ThisFileInfo['audio']['bitrate']/1000);
if(@$conn->query('UPDATE'.$x3.'SET`dimensiune`="'.$dimensiune.'",`durata`="'.$durata.'",`rata`="'.$rata.'",'.$variante[2][2].'WHERE`id`="'.$item[0].'"'))
{
unlink($destinatie);
$valori_modificate='';
if($item[3]>0&&$item[3]!=$dimensiune)
$valori_modificate.='Dimensiune veche: '.$item[3].'
Dimensiune nouă: '.$dimensiune.'
';
if($item[4]>0&&$item[4]!=$durata)
$valori_modificate.='Durată veche: '.$item[4].'
Durată nouă: '.$durata.'
';
if($item[5]>0&&$item[5]!=$rata)
$valori_modificate.='Rata veche de biți: '.$item[5].'
Rata nouă de biți: '.$rata.'
';
if($valori_modificate!='')
file_put_contents('log/fisiere_editate.txt','Link: '.$adresasite[0].'/'.$categorii[$cid][3].'/id/'.$item[0].'-'.seo($item[1]).'
'.$valori_modificate.'


',FILE_APPEND|LOCK_EX);
}
else
{
echo$div[1].'Fișierul nu s-a actualizat în baza de date datorită unei erori:<br />'.$conn->error.$div[0];
$conn->query('UPDATE'.$x3.'SET'.$variante[6][2].'WHERE`id`="'.$item[0].'"');
}
require'f_dimensiune.php';
require'f_ramas.php';
echo$div[10].'Dimensiune: <strong>'.dimensiune($dimensiune).'</strong><br />Durată: <strong>'.ramas($durata).'</strong><br />Rată de biți: <strong>'.$rata.'</strong>'.$div[0];
}
else
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Eroare la copiere, probabil fișierul nu mai există la acea locație!'.$div[0];
$conn->query('UPDATE'.$x3.'SET'.$variante[4][2].'WHERE`id`="'.$item[0].'"');
}
echo'<meta http-equiv="refresh" content="0; url='.$_SERVER['REQUEST_URI'].'" />';
require'f_jos.php';
}
elseif($go=='reseteaza-ne-setate')
{
echo($conn->query('UPDATE'.$x3.'SET'.$variante[1][2].'WHERE'.$variante[($fid>0?$fid:3)][2].((isset($_GET['pid'])||isset($_GET['text']))?'&&'.(isset($_GET['text'])?'`link`LIKE"%'.$_GET['text'].'%"':'`id`="'.$_GET['pid'].'"'):''))?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Au fost resetate ca '.$variante[1][2].' <strong>'.$conn->affected_rows.'</strong> linii':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].$conn->error).'!'.$div[0];
require'f_jos.php';
}
elseif($go=='omite-id-uri')
{
$interogari=explode("\\r\\n",$pmtext);
$numar_interogari=count($interogari);
for($i=0;$i<$numar_interogari;$i++)
{
if($interogari[$i]!='')
echo($conn->query('UPDATE'.$x3.'SET'.$variante[7][2].'WHERE`id`="'.$interogari[$i].'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Linia '.$interogari[$i].' <strong>'.$conn->affected_rows.'</strong>':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Linia '.$interogari[$i].' <strong>'.$conn->error.'</strong>').'!'.$div[0];
}
require'f_jos.php';
}
echo$div[4].img('administrare.png',1).'Setează dimensiune/durată/rată'.$x1.$div[5];
if($fid=='')
{
echo$div[10].'Cu ajutorul acestui meniu poți seta dimensiunea, durata și rata de biți a fișierelor media.<br />La accesarea opțiunii &#34;prelucrează&#34;, scriptul descarcă pe server și prelucrează doar fișierele care au valoarea <strong>'.$variante[1][2].'</strong>.<br />Pentru executarea acestui script, poate fi necesar acordul firmei de găzduire a site-ului, deoarece consumă trafic echivalent cu dimensiunea fișierelor descărcate; deasemenea nu se recomandă utilizarea lui în cazul în care pachetul dispune de trafic limitat.<br />Pentru a prelucra fișiere cu alte valori, acestea trebuie resetate la valoarea <strong>'.$variante[1][2].'</strong>.'.$div[0].$div[1].'<a href="/admin-seteaza-dimensiune-durata-rata'.$x2.'/tip/prelucreaza-fisierele-ne-prelucrate'.$x5.'">'.img('administrare.png',1).'Prelucrează fișierele ne prelucrate</a> <strong>'.$variante[1][2].'</strong>'.$div[0];
$form[0]='/admin-seteaza-dimensiune-durata-rata'.$x2.'/tip/omite-id-uri" method="post';
$form[1]=0;
require'f_textarea.php';
$form[2]=$div[1].'Marchează anumite fișiere pentru a fi omise de prelucrarea inițială a acestui meniu, de exemplu fișiere foarte mari, care necesită un consum mare de resurse pe server.<br />ID-urile introduse vor primi valoarea <strong>'.$variante[7][2].'</strong><br />Introdu ID-uri de fișiere, pe fiecare linie câte unul:<br />'.textarea('pmtext').$div[0];
$form[3]='pmtext';
$form[4]='Omite fișiere';
require'f_form.php';
echo$div[4].img('administrare.png',1).'Alege un tip de interogări pentru afișare:'.$div[5];
for($i=array_keys($variante)[0];$i<=count($variante);$i++)
{
echo$div[1].'<a href="/admin-seteaza-dimensiune-durata-rata'.$x2.$variante[$i][1].$x5.'">('.$variante[$i][2].')'.$variante[$i][0].'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM'.$x3.'WHERE`vizibil`>"0"&&`link`!=""&&'.$variante[$i][2].$x4)->fetch_row()[0]).'</strong>'.$div[0];
}
if(!isset($_GET['pid'])&&!isset($_GET['text']))
{
$form[0]='/admin-seteaza-dimensiune-durata-rata'.$x2.'" method="get';
$form[1]=0;
$form[2]=$div[1].'Caută un anumit fișier, introdu-i identitatea:<br /><input name="pid" />'.$div[0];
$form[3]='pid';
$form[4]='Caută';
require'f_form.php';
$form[0]='/admin-seteaza-dimensiune-durata-rata'.$x2.'" method="get';
$form[1]=0;
$form[2]=$div[1].'Caută fișiere care conțin un anumit text în link-uri, introdu textul <strong>de exemplu &#34;.mp3&#34;</strong>:<br /><input name="text" />'.$div[0];
$form[3]='text';
$form[4]='Caută';
require'f_form.php';
}
}
else
{
$info=$conn->query('SELECT COUNT(*),SUM(`dimensiune`),SUM(`durata`)FROM'.$x3.'WHERE`vizibil`>"0"&&`link`!=""&&'.$x4)->fetch_row();
$elemente=$info[0];
if($elemente>0)
{
require'f_dimensiune.php';
require'f_ramas.php';
echo'<table><th>Fișier</th><th>ID</th><th>Link</th><th>Dimensiune</th><th>Dimensiune din baza de date</th><th>Durată</th><th>Durată din baza de date</th><th>Rată de biți</th><th>validd</th>';
require'f_paginare1.php';
$items=$conn->query('SELECT`id`,`nume`,`link`,`dimensiune`,`durata`,`rata`,`validd`FROM'.$x3.'WHERE`vizibil`>"0"&&`link`!=""&&'.$x4.'ORDER BY'.$ordine.'LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td><a href="/'.$categorii[$cid][3].'/id/'.$item[0].'-'.seo($item[1]).'">'.htmlspecialchars($item[1]).'</a></td><td>'.$item[0].'</td><td>'.$item[2].'</td><td>'.dimensiune($item[3]).'</td><td>'.htmlspecialchars($item[3]).'</td><td>'.ramas($item[4]).'</td><td>'.htmlspecialchars($item[4]).'</td><td>'.$item[5].'</td><td>'.$item[6].'</td><tr>';
}
echo'</table>'.($page==1?$div[1].'<a href="/admin-seteaza-dimensiune-durata-rata'.$x2.'/tip/reseteaza-ne-setate'.$x5.'">'.img('administrare.png',1).'Resetează fișierele ne setate</a> valoarea <strong>'.$variante[($fid>0?$fid:3)][2].'</strong> va deveni <strong>'.$variante[1][2].'</strong>'.$div[0]:'');
$x2.=$x5;
require'f_paginare2.php';
echo'<table><tr><td>Elemente: <strong>'.number_format($info[0]).'</strong></td><td>Dimensiune totală: <strong>'.dimensiune($info[1]).'</td><td>Durată totală: <strong>'.ramas($info[2]).'</td></tr></table>';
}
else
echo$div[7].'Nu sunt intrări de afișat!'.$div[0];
}
require'f_jos.php';